This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 968604 - Review Request: nodejs-joosex-simplerequest - Simple XHR request abstraction for Node.js
Review Request: nodejs-joosex-simplerequest - Simple XHR request abstraction ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On: 968601
Blocks: nodejs-reviews 968603
  Show dependency treegraph
 
Reported: 2013-05-29 18:48 EDT by Jamie Nguyen
Modified: 2014-02-21 19:57 EST (History)
2 users (show)

See Also:
Fixed In Version: nodejs-joosex-simplerequest-0.2.2-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-20 02:00:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-05-29 18:48:07 EDT
Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodejs-joosex-simplerequest.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodejs-joosex-simplerequest-0.2.2-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Simple XHR request abstraction for Node.js.
Comment 1 Tom Hughes 2013-08-18 12:02:29 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

[!]: Package complies to the Packaging Guidelines

Does __script actually need to be packaged?

There is also a copy of the mmd file in lib that duplicates what is in
doc so it should be dropped from lib I think.

[!]: License field in the package spec file matches the actual license.

It's actually LGPLv3 not GPLv3. It's odd that README.md says it is
BSD and INSTALL and LICENSE say LGPLv3 though - there's only one small
source file so it seems unlikely that both apply?

[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.

See above...


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/tom/968604-nodejs-joosex-
     simplerequest/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 71680 bytes in 5 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-joosex-simplerequest-0.2.2-1.fc20.noarch.rpm
nodejs-joosex-simplerequest.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-joosex-simplerequest.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-joosex-simplerequest.noarch: W: only-non-binary-in-usr-lib
nodejs-joosex-simplerequest.noarch: W: dangling-symlink /usr/lib/node_modules/joosex-simplerequest/node_modules/joose /usr/lib/node_modules/joose
1 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-joosex-simplerequest
nodejs-joosex-simplerequest.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-joosex-simplerequest.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-joosex-simplerequest.noarch: W: only-non-binary-in-usr-lib
nodejs-joosex-simplerequest.noarch: W: dangling-symlink /usr/lib/node_modules/joosex-simplerequest/node_modules/joose /usr/lib/node_modules/joose
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-joosex-simplerequest (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(joose)



Provides
--------
nodejs-joosex-simplerequest:
    nodejs-joosex-simplerequest
    npm(joosex-simplerequest)



Source checksums
----------------
http://registry.npmjs.org/joosex-simplerequest/-/joosex-simplerequest-0.2.2.tgz :
  CHECKSUM(SHA256) this package     : 46f66bc47fee4077785959130a9a8b0c348bd356c923ec1b6bafec2a61f7f62e
  CHECKSUM(SHA256) upstream package : 46f66bc47fee4077785959130a9a8b0c348bd356c923ec1b6bafec2a61f7f62e


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 968604
Comment 2 Jamie Nguyen 2014-01-11 10:19:05 EST
Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodejs-joosex-simplerequest.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodejs-joosex-simplerequest-0.2.2-2.fc20.src.rpm

* Sat Jan 11 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.2-2
- do not package __script/
- remove extraneous license
- fix License field

Since the README.md indicates BSD with a copy of the license, and dist.ini indicates LGPLv3 plus a copy in LICENSE, it appears to me as intentional and not just an accident.

(I've opened an issue upstream anyway just in case: https://github.com/SamuraiJack/JooseX-SimpleRequest/issues/1 )
Comment 4 Jamie Nguyen 2014-01-12 04:05:20 EST
https://github.com/SamuraiJack/JooseX-SimpleRequest/issues/1#issuecomment-32117709

SamuraiJack wrote:
> Yes, you can use any of these licenses.
Comment 5 Tom Hughes 2014-01-12 13:53:34 EST
So I think the license tag in the spec should be OR not AND then?
Comment 6 Jamie Nguyen 2014-01-12 15:07:40 EST
(In reply to Tom Hughes from comment #5)
> So I think the license tag in the spec should be OR not AND then?

Oops, my bad.

Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodejs-joosex-simplerequest.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodejs-joosex-simplerequest-0.2.2-4.fc20.src.rpm
Comment 7 Tom Hughes 2014-01-12 15:38:43 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/tom/968604-nodejs-joosex-
     simplerequest/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-joosex-simplerequest-0.2.2-3.fc20.noarch.rpm
          nodejs-joosex-simplerequest-0.2.2-3.fc20.src.rpm
nodejs-joosex-simplerequest.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-joosex-simplerequest.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-joosex-simplerequest.noarch: W: only-non-binary-in-usr-lib
nodejs-joosex-simplerequest.noarch: W: dangling-symlink /usr/lib/node_modules/joosex-simplerequest/node_modules/joose /usr/lib/node_modules/joose
nodejs-joosex-simplerequest.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-joosex-simplerequest.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-joosex-simplerequest
nodejs-joosex-simplerequest.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-joosex-simplerequest.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-joosex-simplerequest.noarch: W: only-non-binary-in-usr-lib
nodejs-joosex-simplerequest.noarch: W: dangling-symlink /usr/lib/node_modules/joosex-simplerequest/node_modules/joose /usr/lib/node_modules/joose
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-joosex-simplerequest (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(joose)



Provides
--------
nodejs-joosex-simplerequest:
    nodejs-joosex-simplerequest
    npm(joosex-simplerequest)



Source checksums
----------------
http://registry.npmjs.org/joosex-simplerequest/-/joosex-simplerequest-0.2.2.tgz :
  CHECKSUM(SHA256) this package     : 46f66bc47fee4077785959130a9a8b0c348bd356c923ec1b6bafec2a61f7f62e
  CHECKSUM(SHA256) upstream package : 46f66bc47fee4077785959130a9a8b0c348bd356c923ec1b6bafec2a61f7f62e


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 968604 -m compton-rawhide-x86_64
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 8 Tom Hughes 2014-01-12 15:39:09 EST
Looks good now - package approved.
Comment 9 Jamie Nguyen 2014-01-12 15:39:30 EST
Thanks Tom!
Comment 10 Jamie Nguyen 2014-01-12 15:40:19 EST
New Package SCM Request
=======================
Package Name: nodejs-joosex-simplerequest
Short Description: Simple XHR request abstraction for Node.js
Owners: jamielinux patches
Branches: f19 f20 el6
InitialCC:
Comment 11 Gwyn Ciesla 2014-01-13 08:21:43 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2014-01-13 14:50:55 EST
nodejs-joosex-simplerequest-0.2.2-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-joosex-simplerequest-0.2.2-4.fc20
Comment 13 Fedora Update System 2014-01-13 14:51:49 EST
nodejs-joosex-simplerequest-0.2.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-joosex-simplerequest-0.2.2-4.fc19
Comment 14 Fedora Update System 2014-01-13 14:52:17 EST
nodejs-joosex-simplerequest-0.2.2-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-joosex-simplerequest-0.2.2-4.el6
Comment 15 Fedora Update System 2014-01-14 15:55:19 EST
nodejs-joosex-simplerequest-0.2.2-4.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 16 Fedora Update System 2014-02-20 02:00:18 EST
nodejs-joosex-simplerequest-0.2.2-4.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 17 Fedora Update System 2014-02-21 19:53:21 EST
nodejs-joosex-simplerequest-0.2.2-4.fc19 has been pushed to the Fedora 19 stable repository.
Comment 18 Fedora Update System 2014-02-21 19:57:57 EST
nodejs-joosex-simplerequest-0.2.2-4.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.